Subject: Re: bug#46350: 28.0.50; touchpad-scrolling-eats-lots-of-cpu-samples

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Feb 2021 19:59:23 +0200

> From: Andrey Orst <[email-masked]>
> Date: Sat, 6 Feb 2021 20:33:56 +0300
> 
> 1. Run emacs -q
> 2. Open some big file, in my case I've opened lisp-mode.el
> 3. Turn on fundamental-mode (optional)
> 4. Go to the end of the buffer.
> 5. Rapidly produce scroll up events from touchpad or mouse wheel
>    (although it is much harder to achieve with mouse) with significant
>    scroll amount.  By significant scroll amount I mean continuous
>    scrolling event from touchpad, which can be achieved by swiping over
>    whole touchpad area very rapidly.
> 6. Observe that Emacs doesn't scroll almost at all and just waits until
>    scroll events will stop.  Then it scrolls correct amount.
> 
> The delay I'm talking about is what bothers me.

I cannot reproduce this.  Did you try "emacs -Q"?

Please load mwheel.el (NOT the .elc file!), and then profile the slow
scrolling again and show a fully-expanded profile.  That might help us
understand what part of mwheel-scroll takes the lion's share of CPU
cycles.